# Class NopCommand

java.lang.Object
org.apache.zookeeper.server.command.AbstractFourLetterCommand
org.apache.zookeeper.server.command.NopCommand

public class NopCommand extends AbstractFourLetterCommand
A command that does not do anything except reply to client with predefined message. It is used to inform clients who execute none white listed four letter word commands.

## Field Summary

### Fields inherited from class AbstractFourLetterCommand

`factory, pw, serverCnxn, ZK_NOT_SERVING, zkServer`

## Constructor Summary

Constructors
Constructor
Description
`NopCommand(PrintWriter pw, ServerCnxn serverCnxn, String msg)`

## Method Summary

Modifier and Type
Method
Description
`void`
`commandRun()`

### Methods inherited from class AbstractFourLetterCommand

`run, setFactory, setZkServer, start`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NopCommand

public NopCommand(PrintWriter pw, ServerCnxn serverCnxn, String msg)

## Method Details

### commandRun

public void commandRun()

Specified by:
  `commandRun` in class `AbstractFourLetterCommand`